## kwwidgets 1.0.0~cvs20100930

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(KWWidgets)

# --------------------------------------------------------------------------
# To use this library in a larger project you will need to SUBDIR into this
# directory so that it gets built and then you will use the following variables
# in your CMakeLists files to get the proper include paths and libraries

set(KWWidgets_INCLUDE_PATH 
  "${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR}/AutoGeneratedClasses;${CMAKE_CURRENT_BINARY_DIR}"
  CACHE INTERNAL "include paths for KWWidgets"
  )

set(KWWidgets_LIBRARIES KWWidgets CACHE INTERNAL "libraries for KWWidgets")

# You will also need to define a value for the following variables:
# KWWidgets_INSTALL_BIN_DIR          - binary dir (executables)
# KWWidgets_INSTALL_LIB_DIR          - library dir (libs)
# KWWidgets_INSTALL_DATA_DIR         - share dir (say, examples, data, etc)
# KWWidgets_INSTALL_INCLUDE_DIR      - include dir (headers)
# KWWidgets_INSTALL_PACKAGE_DIR      - package/export configuration files
# KWWidgets_VTK_INSTALL_PACKAGE_DIR  - VTK package/export configuration files
# KWWidgets_INSTALL_NO_DEVELOPMENT   - do not install development files
# KWWidgets_INSTALL_NO_RUNTIME       - do not install runtime files
# KWWidgets_INSTALL_NO_DOCUMENTATION - do not install documentation files
# --------------------------------------------------------------------------

# --------------------------------------------------------------------------
# Version

set(KWWidgets_MAJOR_VERSION 1)
set(KWWidgets_MINOR_VERSION 0)
set(KWWidgets_PATCH_VERSION 0)
set(KWWidgets_VERSION
  "${KWWidgets_MAJOR_VERSION}.${KWWidgets_MINOR_VERSION}.${KWWidgets_PATCH_VERSION}")

# --------------------------------------------------------------------------
# We need VTK

if(NOT VTK_SOURCE_DIR)
  find_package(VTK REQUIRED)
  include(${VTK_USE_FILE})
  if(NOT VTK_WRAP_TCL)
    message(FATAL_ERROR "Please set VTK_WRAP_TCL to ON in VTK")
  endif(NOT VTK_WRAP_TCL)
  if(VTK_MAJOR_VERSION LESS 5)
    message(FATAL_ERROR "Please use VTK 5.0 or later")
  endif(VTK_MAJOR_VERSION LESS 5)
else(NOT VTK_SOURCE_DIR)
  if(NOT VTK_WRAP_TCL)
    include_directories(${VTK_TK_RESOURCES_DIR})
  endif(NOT VTK_WRAP_TCL)
endif(NOT VTK_SOURCE_DIR)

# --------------------------------------------------------------------------
# Output directories

if(NOT LIBRARY_OUTPUT_PATH)
  set(LIBRARY_OUTPUT_PATH ${KWWidgets_BINARY_DIR}/bin CACHE INTERNAL
    "Single output directory for building all libraries.")
endif(NOT LIBRARY_OUTPUT_PATH)
set(KWWidgets_LIBRARY_DIRS ${LIBRARY_OUTPUT_PATH})
set(KWWidgets_RUNTIME_DIRS ${LIBRARY_OUTPUT_PATH})

if(NOT EXECUTABLE_OUTPUT_PATH)
  set(EXECUTABLE_OUTPUT_PATH ${KWWidgets_BINARY_DIR}/bin CACHE INTERNAL
    "Single output directory for building all executables.")
endif(NOT EXECUTABLE_OUTPUT_PATH)

# --------------------------------------------------------------------------
# Some flags

include_regular_expression("^(vtk|kw|icons).*$")
set(CMAKE_C_FLAGS "${CMAKE_ANSI_CFLAGS} ${CMAKE_C_FLAGS}")
if(CMAKE_COMPILER_2005)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
endif(CMAKE_COMPILER_2005)

set(BUILD_SHARED_LIBS ${VTK_BUILD_SHARED_LIBS})
set(KWWidgets_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})

set(KWWidgets_CMAKE_DIR "${KWWidgets_SOURCE_DIR}/CMake" CACHE INTERNAL "")
subdirs(CMake)
# Make sure VTK_CMAKE_DIR is at the beginning so that VTK's FindTCL is
# used before CMake's FindTCL.
set(CMAKE_MODULE_PATH "${VTK_CMAKE_DIR}" ${CMAKE_MODULE_PATH} "${KWWidgets_CMAKE_DIR}")

set(KWWidgets_CONFIGURATION_TYPES ${CMAKE_CONFIGURATION_TYPES})

mark_as_advanced(CMAKE_BACKWARDS_COMPATIBILITY)

include("${KWWidgets_SOURCE_DIR}/Utilities/tkdnd/TkDnD.cmake")
tkdnd_get_library(KWWidgets_USE_TKDND TKDND_SRCS TKDND_INCLUDE_PATH TKDND_LIBS)

include("${KWWidgets_SOURCE_DIR}/Utilities/TkTreeCtrl/TkTreeCtrl.cmake")
tktreectrl_get_library(KWWidgets_USE_TKTREECTRL TKTREECTRL_SRCS TKTREECTRL_INCLUDE_PATH TKTREECTRL_LIBS)

# --------------------------------------------------------------------------
# Install directories

if(NOT KWWidgets_INSTALL_BIN_DIR)
  set(KWWidgets_INSTALL_BIN_DIR "/bin")
endif(NOT KWWidgets_INSTALL_BIN_DIR)

if(NOT KWWidgets_INSTALL_LIB_DIR)
  set(KWWidgets_INSTALL_LIB_DIR "/lib/${PROJECT_NAME}")
endif(NOT KWWidgets_INSTALL_LIB_DIR)

if(NOT KWWidgets_INSTALL_DATA_DIR)
  set(KWWidgets_INSTALL_DATA_DIR "/share/${PROJECT_NAME}"
    CACHE INTERNAL "")
endif(NOT KWWidgets_INSTALL_DATA_DIR)

if(NOT KWWidgets_INSTALL_INCLUDE_DIR)
  set(KWWidgets_INSTALL_INCLUDE_DIR "/include/${PROJECT_NAME}")
endif(NOT KWWidgets_INSTALL_INCLUDE_DIR)

if(NOT KWWidgets_INSTALL_PACKAGE_DIR)
  set(KWWidgets_INSTALL_PACKAGE_DIR ${KWWidgets_INSTALL_LIB_DIR}
    CACHE INTERNAL "")
endif(NOT KWWidgets_INSTALL_PACKAGE_DIR)

if(NOT KWWidgets_VTK_INSTALL_PACKAGE_DIR)
  set(KWWidgets_VTK_INSTALL_PACKAGE_DIR ${VTK_INSTALL_PACKAGE_DIR})
endif(NOT KWWidgets_VTK_INSTALL_PACKAGE_DIR)

if(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
  set(KWWidgets_INSTALL_NO_DEVELOPMENT 0)
endif(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)

if(NOT KWWidgets_INSTALL_NO_RUNTIME)
  set(KWWidgets_INSTALL_NO_RUNTIME 0)
endif(NOT KWWidgets_INSTALL_NO_RUNTIME)

if(NOT KWWidgets_INSTALL_NO_DOCUMENTATION)
  set(KWWidgets_INSTALL_NO_DOCUMENTATION 0)
endif(NOT KWWidgets_INSTALL_NO_DOCUMENTATION)

set(KWWidgets_INSTALL_NO_LIBRARIES)
if(KWWidgets_BUILD_SHARED_LIBS)
  if(KWWidgets_INSTALL_NO_RUNTIME AND KWWidgets_INSTALL_NO_DEVELOPMENT)
    set(KWWidgets_INSTALL_NO_LIBRARIES 1)
  endif(KWWidgets_INSTALL_NO_RUNTIME AND KWWidgets_INSTALL_NO_DEVELOPMENT)
else(KWWidgets_BUILD_SHARED_LIBS)
  if(KWWidgets_INSTALL_NO_DEVELOPMENT)
    set(KWWidgets_INSTALL_NO_LIBRARIES 1)
  endif(KWWidgets_INSTALL_NO_DEVELOPMENT)
endif(KWWidgets_BUILD_SHARED_LIBS)

# --------------------------------------------------------------------------
# Sources

option(KWWidgets_BUILD_VTK_WIDGETS "Build the widgets that can be interfaced to complex VTK classes. Set it to OFF to build a core version of the library." ON)
mark_as_advanced(KWWidgets_BUILD_VTK_WIDGETS)

set(KWWidgets_SRCS
  vtkKWApplication.cxx
  vtkKWApplicationSettingsInterface.cxx
  vtkKWBalloonHelpManager.cxx
  vtkKWCanvas.cxx
  vtkKWChangeColorButton.cxx
  vtkKWCheckButton.cxx
  vtkKWCheckButtonWithChangeColorButton.cxx
  vtkKWCheckButtonWithPopupFrame.cxx
  vtkKWClipboardHelper.cxx
  vtkKWColorPickerDialog.cxx
  vtkKWColorPickerWidget.cxx
  vtkKWColorPresetSelector.cxx
  vtkKWColorSpectrumWidget.cxx
  vtkKWColorSwatchesWidget.cxx
  vtkKWComboBox.cxx
  vtkKWCompositeWidget.cxx
  vtkKWCoreWidget.cxx
  vtkKWDialog.cxx
  vtkKWDirectoryExplorer.cxx 
  vtkKWDirectoryPresetSelector.cxx
  vtkKWDragAndDropTargetSet.cxx
  vtkKWEntry.cxx
  vtkKWEvent.cxx
  vtkKWEventMap.cxx
  vtkKWExtent.cxx
  vtkKWFavoriteDirectoriesFrame.cxx 
  vtkKWFileBrowserDialog.cxx
  vtkKWFileBrowserWidget.cxx 
  vtkKWFileListTable.cxx 
  vtkKWFrame.cxx
  vtkKWFrameWithLabel.cxx
  vtkKWFrameWithScrollbar.cxx
  vtkKWHSVColorSelector.cxx
  vtkKWIcon.cxx
  vtkKWInternationalization.cxx
  vtkKWKeyBindingsManager.cxx
  vtkKWKeyBindingsWidget.cxx
  vtkKWLabel.cxx
  vtkKWLanguage.cxx
  vtkKWListBox.cxx
  vtkKWListBoxToListBoxSelectionEditor.cxx
  vtkKWLoadSaveButton.cxx
  vtkKWLoadSaveDialog.cxx
  vtkKWLogDialog.cxx
  vtkKWLogWidget.cxx
  vtkKWMaterialPropertyWidget.cxx
  vtkKWMatrixWidget.cxx
  vtkKWMenu.cxx
  vtkKWMenuButton.cxx
  vtkKWMessage.cxx
  vtkKWMessageDialog.cxx
  vtkKWMostRecentFilesManager.cxx
  vtkKWMultiColumnList.cxx
  vtkKWNotebook.cxx
  vtkKWObject.cxx
  vtkKWOptionDataBase.cxx
  vtkKWOptions.cxx
  vtkKWPopupButton.cxx
  vtkKWPopupFrame.cxx
  vtkKWPresetSelector.cxx
  vtkKWProgressGauge.cxx
  vtkKWPushButton.cxx
  vtkKWPushButtonWithMenu.cxx
  vtkKWRadioButton.cxx
  vtkKWRadioButtonSet.cxx
  vtkKWRange.cxx
  vtkKWRegistryHelper.cxx
  vtkKWResourceUtilities.cxx
  vtkKWSaveImageDialog.cxx
  vtkKWScalarComponentSelectionWidget.cxx
  vtkKWScale.cxx
  vtkKWScaleWithEntry.cxx
  vtkKWScrollbar.cxx
  vtkKWSeparator.cxx
  vtkKWSimpleEntryDialog.cxx
  vtkKWSmallCounterLabel.cxx
  vtkKWSpinBox.cxx
  vtkKWSpinButtons.cxx
  vtkKWSplashScreen.cxx
  vtkKWSplitFrame.cxx
  vtkKWStartupPageWidget.cxx
  vtkKWStateMachine.cxx
  vtkKWStateMachineCluster.cxx
  vtkKWStateMachineDOTWriter.cxx
  vtkKWStateMachineInput.cxx
  vtkKWStateMachineState.cxx
  vtkKWStateMachineTransition.cxx
  vtkKWStateMachineWriter.cxx
  vtkKWTclInteractor.cxx
  vtkKWText.cxx
  vtkKWTheme.cxx
  vtkKWThumbWheel.cxx
  vtkKWTkUtilities.cxx
  vtkKWTkcon.cxx
  vtkKWToolbar.cxx
  vtkKWToolbarSet.cxx
  vtkKWTopLevel.cxx
  vtkKWTree.cxx
  vtkKWTreeWithScrollbars.cxx
  vtkKWUserInterfaceManager.cxx
  vtkKWUserInterfaceManagerDialog.cxx
  vtkKWUserInterfaceManagerNotebook.cxx
  vtkKWUserInterfacePanel.cxx
  vtkKWWidget.cxx
  vtkKWWidgetSet.cxx
  vtkKWWidgetWithLabel.cxx
  vtkKWWidgetWithScrollbars.cxx
  vtkKWWidgetWithSpinButtons.cxx
  vtkKWWidgetsVersion.cxx
  vtkKWWindow.cxx
  vtkKWWindowBase.cxx
  vtkKWWindowLevelPresetSelector.cxx
  vtkKWWizardDialog.cxx
  vtkKWWizardStep.cxx
  vtkKWWizardWidget.cxx
  vtkKWWizardWorkflow.cxx
  )

if(KWWidgets_BUILD_VTK_WIDGETS)
  if(NOT VTK_USE_TK)
    message(FATAL_ERROR "Please set VTK_USE_TK to ON in VTK for KWWidgets_BUILD_VTK_WIDGETS to be ON as well.")
  endif(NOT VTK_USE_TK)
  set(KWWidgets_SRCS ${KWWidgets_SRCS}
    vtkKWColorPresetMenu.cxx
    vtkKWColorTransferFunctionEditor.cxx
    vtkKWCornerAnnotationEditor.cxx
    vtkKWGenericRenderWindowInteractor.cxx
    vtkKWHeaderAnnotationEditor.cxx
    vtkKWHistogram.cxx
    vtkKWHistogramSet.cxx
    vtkKWParameterValueFunctionEditor.cxx
    vtkKWParameterValueFunctionInterface.cxx
    vtkKWParameterValueHermiteFunctionEditor.cxx
    vtkKWPiecewiseFunctionEditor.cxx
    vtkKWRenderWidget.cxx
    vtkKWScalarBarAnnotation.cxx
    vtkKWSelectionFrame.cxx
    vtkKWSelectionFrameLayoutManager.cxx
    vtkKWSimpleAnimationWidget.cxx
    vtkKWSurfaceMaterialPropertyWidget.cxx
    vtkKWTextPropertyEditor.cxx
    vtkKWVolumePropertyHelper.cxx
    vtkKWVolumeMaterialPropertyWidget.cxx
    vtkKWVolumePropertyPresetSelector.cxx
    vtkKWVolumePropertyWidget.cxx
    )
endif(KWWidgets_BUILD_VTK_WIDGETS)

# Utilities/Extra sources

set(KWWidgets_UTILS_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/Wrapping/Tcl/vtkKWWidgetsInitializeCommand.cxx
  ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/BWidgets/vtkKWBWidgetsInit.cxx
  ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Tablelist/vtkKWTablelistInit.cxx
  ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/tkcon/vtkKWTkconInit.cxx
  )
if(TKDND_SRCS)
  set(KWWidgets_UTILS_SRCS ${KWWidgets_UTILS_SRCS} ${TKDND_SRCS})
endif(TKDND_SRCS)
if(TKTREECTRL_SRCS)
  set(KWWidgets_UTILS_SRCS ${KWWidgets_UTILS_SRCS} ${TKTREECTRL_SRCS})
endif(TKTREECTRL_SRCS)

# Abstract/pure virtual classes

set_source_files_properties(
  vtkKWClipboardHelper.cxx
  vtkKWMaterialPropertyWidget.cxx
  vtkKWParameterValueFunctionEditor.cxx
  vtkKWParameterValueFunctionInterface.cxx
  vtkKWParameterValueHermiteFunctionEditor.cxx
  vtkKWRegistryHelper.cxx
  vtkKWStateMachineWriter.cxx
  vtkKWUserInterfaceManager.cxx
  vtkKWWidgetSet.cxx
  vtkKWWidgetWithScrollbars.cxx
  ${KWWidgets_UTILS_SRCS}
  ABSTRACT
  )

# Helper classes

set_source_files_properties(
  vtkKWEvent.cxx
  ${KWWidgets_UTILS_SRCS}
  WRAP_EXCLUDE
  )

if(NOT VTK_WRAP_TCL)
  set_source_files_properties(
    vtkKWGenericRenderWindowInteractor.cxx
    WRAP_EXCLUDE
    )
endif(NOT VTK_WRAP_TCL)

# Add the registry code, and the set_icon command on win32

if(WIN32)
  set(KWWidgets_UTILS_SRCS ${KWWidgets_UTILS_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ApplicationIcon/vtkKWSetApplicationIconTclCommand.c)
  set(KWWidgets_SRCS ${KWWidgets_SRCS} 
    vtkKWWin32RegistryHelper.cxx)
  set_source_files_properties(
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ApplicationIcon/vtkKWSetApplicationIconTclCommand.c
    WRAP_EXCLUDE)
else(WIN32)
  set(KWWidgets_SRCS ${KWWidgets_SRCS}
    vtkKWUNIXRegistryHelper.cxx)
endif(WIN32)

# --------------------------------------------------------------------------
