=== CMake/CMakeLists.txt ===
if(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
  install_files(${KWWidgets_INSTALL_PACKAGE_DIR}/CMake "\\.cmake$")
endif(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
