=== Examples/Python/CMakeLists.txt ===
subdirs(
  HelloWorld
  WidgetsTour
  )
