=== debian/changelog ===
kwwidgets (1.0.0~cvs20100930-8) unstable; urgency=low

  * Fix volview does not start because of a missing symbol. Closes: #698698
  * Remove obsolete DMUA flags, switch to my @debian.org alias

 -- Mathieu Malaterre <malat@debian.org>  Thu, 18 Apr 2013 10:25:46 +0200

kwwidgets (1.0.0~cvs20100930-7) unstable; urgency=low

  * Improve finding of init.tcl/tk.tcl, required for VolView to work.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 10 Jan 2012 16:00:04 +0100

kwwidgets (1.0.0~cvs20100930-6) unstable; urgency=low

  * Patch CMake export configuration file. Closes: #640522
  * Remove dot wrapper. Not required anymore since doxygen 1.7.4
  * Export graphics as SVG, reducing package size by factor of 3.
  * Standards-Version: 3.9.2. No changes needed
  * Fix compilation with VTK 5.8.0. Closes: #650936

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 22 Nov 2011 19:31:26 +0100

kwwidgets (1.0.0~cvs20100930-5) unstable; urgency=low

  * Fixed FTBFS if multiple python versions are installed, use default python
    Thanks to Jakub Wilk (Closes: #644062)
  * removed unnecessary dependencies

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 02 Oct 2011 21:25:21 -0400

kwwidgets (1.0.0~cvs20100930-4) unstable; urgency=low

  * Added patch for vtk5.8

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 11 Sep 2011 22:08:30 -0400

kwwidgets (1.0.0~cvs20100930-3) unstable; urgency=low

  * Upload to unstable
  * debian/control: Added versioned dependecy to tcl-vtk (>= 5.6)

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 19 Feb 2011 15:29:48 -0500

kwwidgets (1.0.0~cvs20100930-2) experimental; urgency=low

  * debian/control: changed dependency from libopenmpi-dev to mpi-default-dev

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 29 Jan 2011 22:02:06 -0500

kwwidgets (1.0.0~cvs20100930-1) experimental; urgency=low

  * new upstream snapshot: CVSDATE="2010-06-30 23:59:59"
  * Standards-Version: 3.9.1
  * bump soname to 1.0.1009, package name changed: libkwwidgets1.0.1009

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 15 Jul 2010 15:52:05 -0400

kwwidgets (1.0.0~cvs20100630-1) experimental; urgency=low

  * new upstream snapshot: CVSDATE="2010-06-30 23:59:59"
  * bump soname to 1.0.1006, package name changed: libkwwidgets1.0.1006
  * Switch to dpkg-source 3.0 (quilt) format

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 13 Jul 2010 16:56:57 -0400

kwwidgets (1.0.0~cvs20090825-5) unstable; urgency=low

  * kwwidgets-doc depends on vtk-doc (Closes: #552347)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Tue, 29 Dec 2009 17:41:33 -0500

kwwidgets (1.0.0~cvs20090825-4) unstable; urgency=low

  * changed dependency to default-jdk
  * added dot wrapper taken from gdcmtk to reduce the size of kwwidgets-doc

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sat, 12 Dec 2009 10:59:03 -0500

kwwidgets (1.0.0~cvs20090825-3) unstable; urgency=low

  * kwwidgets-doc: .png files downsized (Closes: #557818)
  * kwwidgets-doc: .md5 files removed (Closes: #552345)
  * Content from debian/kwwidgets-doc.install
                 debian/libkwwidgets1.0.0908.install
                 debian/tcl8.5-kwwidgets.install
                 debian/python-kwwidgets.install
                 debian/libkwwidgets1-dev.install
    moved to debian/rules
  * using default python version
  * added ./CMake/FindMySQL.cmake

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 07 Dec 2009 08:46:48 -0500

kwwidgets (1.0.0~cvs20090825-2) unstable; urgency=low

  * Use bzip2 compression for binary packages 
  * Rebuild (Closes: #546441)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Tue, 15 Sep 2009 22:46:56 -0400

kwwidgets (1.0.0~cvs20090825-1) unstable; urgency=low

  * new upstream snapshot
  * upload to unstable instead of experimental
  * bump soname to 1.0.0908, package name changed: libkwwidgets1.0.0908
  * switch to Tcl/Tk 8.5, package name changed: tcl8.5-kwwidgets

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Wed, 26 Aug 2009 15:21:45 -0400

kwwidgets (1.0.0~cvs20090522-1) experimental; urgency=low

  * new upstream snapshot
  * new package python-kwwidgets added
  * new package tcl8.4-kwwidgets added
  * vtk-doc dependency for kwwidgets-doc removed
  * bump soname to 1.0.20090522

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sat, 23 May 2009 16:53:50 -0400

kwwidgets (1.0.0~cvs20080526-3) experimental; urgency=low

  * removed debian/libkwwidgets1.symbols

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 08 Feb 2009 20:51:44 -0500

kwwidgets (1.0.0~cvs20080526-2) experimental; urgency=low

  [ Mathieu Malaterre ]
  * debian/get-orig-source: cvs login is not required
  * debian/rules: support DEB_BUILD_OPTIONS=parallel=4, DEB_BUILD_OPTIONS=noopt
  * debian/rules: remove testing (neither installed, not run)
  * debian/rules: remove duplicate configuration
  * debian/rules: use doxygen target
  * kwwidgets doxygen need toplevel vtk class (for doxygen hierarchy).
    vtk-doc is now required

  [ Dominique Belhachemi]
  * added debian/libkwwidgets1.symbols
  * debhelper version increased to 7
  * debian/control: doxygen & graphviz moved to Build-Depends-Indep
  * debian/copyright: removed ambiguity
  * debian/rules: uses "dh_prep" now instead of "dh_clean -k"

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Wed, 12 Nov 2008 21:59:28 +0100

kwwidgets (1.0.0~cvs20080526-1) experimental; urgency=low

  * Initial release (Closes: #473045)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 23 Aug 2008 16:21:52 +0000
