=== debian/control ===
Source: kwwidgets
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 7), cdbs, cmake, quilt (>= 0.40),
 tcl-vtk (>= 5.6), libvtk5-dev (>= 5.6), tcl8.5-dev, tk8.5-dev,
 python-support, python-dev, python-vtk
Build-Depends-Indep: doxygen (>= 1.7.4), graphviz, vtk-doc
Standards-Version: 3.9.2
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/kwwidgets/trunk/
Vcs-Svn: svn://svn.debian.org/debian-science/packages/kwwidgets/trunk/
Section: libs
XS-Python-Version: current
Homepage: http://www.kwwidgets.org/

Package: libkwwidgets1-dev
Section: libdevel
Architecture: any
Provides: libkwwidgets-dev
Conflicts: libkwwidgets-dev
Depends: libkwwidgets1.0.1009 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cross-Platform GUI Toolkit - development
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers,
 histograms, windows and dialogs.
 .
 This package contains developer files for KWWidgets

Package: libkwwidgets1.0.1009
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross-Platform GUI Toolkit - runtime
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers, 
 histograms, windows and dialogs.
 .
 More importantly, KWWidgets builds upon this set of widgets to
 interface to visualization libraries like VTK and offer high-level
 visualization-oriented widgets like surface material editors,
 simple animation generators, transfer function editors, annotation 
 editors, window/level and volume property preset editors, text
 property editors, 2D and 3D rendering widgets, etc.
 .
 This package contains library files for KWWidgets

Package: kwwidgets-examples
Section: graphics
Suggests: libkwwidgets1-dev
Architecture: all
Depends: ${misc:Depends}
Description: Cross-Platform GUI Toolkit - examples
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers,
 histograms, windows and dialogs.
 .
 More importantly, KWWidgets builds upon this set of widgets to
 interface to visualization libraries like VTK and offer high-level
 visualization-oriented widgets like surface material editors,
 simple animation generators, transfer function editors, annotation
 editors, window/level and volume property preset editors, text
 property editors, 2D and 3D rendering widgets, etc.
 .
 This package contains examples from the KWWidgets source.

Package: kwwidgets-doc
Section: doc
Suggests: libkwwidgets1-dev
Architecture: all
Depends: ${misc:Depends}, vtk-doc
Description: Cross-Platform GUI Toolkit - documentation
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers,
 histograms, windows and dialogs.
 .
 More importantly, KWWidgets builds upon this set of widgets to
 interface to visualization libraries like VTK and offer high-level
 visualization-oriented widgets like surface material editors,
 simple animation generators, transfer function editors, annotation
 editors, window/level and volume property preset editors, text
 property editors, 2D and 3D rendering widgets, etc.
 .
 This package contains documentation files for KWWidgets.

Package: python-kwwidgets
Section: python
Architecture: any
Depends: ${python:Depends}, libkwwidgets1.0.1009 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cross-Platform GUI Toolkit - Python
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers,
 histograms, windows and dialogs.
 .
 More importantly, KWWidgets builds upon this set of widgets to
 interface to visualization libraries like VTK and offer high-level
 visualization-oriented widgets like surface material editors,
 simple animation generators, transfer function editors, annotation
 editors, window/level and volume property preset editors, text
 property editors, 2D and 3D rendering widgets, etc.
 .
 This package contains Python support for KWWidgets.

Package: tcl8.5-kwwidgets
Section: interpreters
Architecture: any
Conflicts: tcl8.4-kwwidgets
Replaces: tcl8.4-kwwidgets
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.5, tk8.5
Description: Cross-Platform GUI Toolkit - TCL/TK
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers,
 histograms, windows and dialogs.
 .
 More importantly, KWWidgets builds upon this set of widgets to
 interface to visualization libraries like VTK and offer high-level
 visualization-oriented widgets like surface material editors,
 simple animation generators, transfer function editors, annotation
 editors, window/level and volume property preset editors, text
 property editors, 2D and 3D rendering widgets, etc.
 .
 This package contains Tcl/Tk support for KWWidgets.
